/*
 * Copyright (c) 2018 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

/**
 * \file
 * \ingroup Implementation
 */

#ifndef _GROUPS_PROXY_HPP
#define _GROUPS_PROXY_HPP

#include <sys/types.h>
#include <vector>

/** wrapper returning all groups for given user id */
std::vector<gid_t> get_groups(const uid_t uid, const gid_t gid);

#endif
